package org.dromara.payment.taxRecords.service;

import org.dromara.payment.taxRecords.domain.MerTaxRecordsDetail;
import org.dromara.payment.taxRecords.domain.vo.MerTaxRecordsDetailVo;
import org.dromara.payment.taxRecords.domain.bo.MerTaxRecordsDetailBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 完税证明Service接口
 *
 * @author LionLi
 * @date 2024-05-06
 */
public interface IMerTaxRecordsDetailService {

    /**
     * 查询完税证明
     */
    MerTaxRecordsDetailVo queryById(Long id);

    /**
     * 查询完税证明列表
     */
    TableDataInfo<MerTaxRecordsDetailVo> queryPageList(MerTaxRecordsDetailBo bo, PageQuery pageQuery);

    /**
     * 查询完税证明列表
     */
    List<MerTaxRecordsDetailVo> queryList(MerTaxRecordsDetailBo bo);

    /**
     * 新增完税证明
     */
    Boolean insertByBo(MerTaxRecordsDetailBo bo);

    /**
     * 修改完税证明
     */
    Boolean updateByBo(MerTaxRecordsDetailBo bo);

    /**
     * 校验并批量删除完税证明信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
